package com.ruoyi.school.course.domain.resp.course;

import com.ruoyi.school.course.domain.ScCourse;
import lombok.Builder;
import lombok.Data;


@Data
@Builder
public class RespCourseSelect {

    private Long id;

    private String label;


    public RespCourseSelect() {
    }

    public RespCourseSelect(Long id, String label) {
        this.id = id;
        this.label = label;
    }

    public RespCourseSelect(ScCourse course){
        this.id=course.getCourseId();
        this.label=course.getCourseName();
    }
}
